pcl::PointRGB Struct Reference
Module common

A point structure for representing RGB color. More...

`#include <pcl/recognition/color_gradient_dot_modality.h>`

## Public Member Functions

| PointRGB ()
| PointRGB (const uint8_t b, const uint8_t g, const uint8_t r)

## Public Attributes

union {
union {
struct {
uint8_t b
uint8_t g
uint8_t r
uint8_t _unused
} |
float rgb
} |
uint32_t rgba
}; |

## Detailed Description

A point structure for representing RGB color.

Definition at line 55 of file color_gradient_dot_modality.h.

## Constructor & Destructor Documentation

pcl::PointRGB::PointRGB | ( |  | ) |

inline

Definition at line 73 of file color_gradient_dot_modality.h.

pcl::PointRGB::PointRGB | ( | const uint8_t | b,
|  | const uint8_t | g,
|  | const uint8_t | r
| ) |  |

inline

Definition at line 76 of file color_gradient_dot_modality.h.

## Member Data Documentation

union { ... }

uint8_t pcl::PointRGB::_unused

Definition at line 66 of file color_gradient_dot_modality.h.

uint8_t pcl::PointRGB::b

Definition at line 63 of file color_gradient_dot_modality.h.

uint8_t pcl::PointRGB::g

Definition at line 64 of file color_gradient_dot_modality.h.

uint8_t pcl::PointRGB::r

Definition at line 65 of file color_gradient_dot_modality.h.

float pcl::PointRGB::rgb

Definition at line 68 of file color_gradient_dot_modality.h.

uint32_t pcl::PointRGB::rgba

Definition at line 70 of file color_gradient_dot_modality.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/color_gradient_dot_modality.h